## Documentation

- Overview
- Website
- Tutorials
- Class Index

## Classes

- _global_
- CL3D
- CL3D.AnimatedMeshSceneNode
- CL3D.Animator
- CL3D.AnimatorAnimateTexture
- CL3D.AnimatorCameraFPS
- CL3D.AnimatorCameraModelViewer
- CL3D.AnimatorCollisionResponse
- CL3D.AnimatorFlyCircle
- CL3D.AnimatorFlyStraight
- CL3D.AnimatorFollowPath
- CL3D.AnimatorOnClick
- CL3D.AnimatorOnProximity
- CL3D.AnimatorRotation
- CL3D.BillboardSceneNode
- CL3D.BoundingBoxTriangleSelector
- CL3D.Box3d
- CL3D.CameraSceneNode
- CL3D.ColorF
- CL3D.CopperCubeVariable
- CL3D.CopperLicht
- CL3D.CubeSceneNode
- CL3D.HotspotSceneNode
- CL3D.Light
- CL3D.LightSceneNode
- CL3D.Line3d
- CL3D.Material
- CL3D.Matrix4
- CL3D.Mesh
- CL3D.MeshBuffer
- CL3D.MeshSceneNode
- CL3D.MeshTriangleSelector
- CL3D.MetaTriangleSelector
- CL3D.Mobile2DInputSceneNode
- CL3D.OctTreeTriangleSelector
- CL3D.Overlay2DSceneNode
- CL3D.ParticleSystemSceneNode
- CL3D.PathSceneNode
- CL3D.Plane3d
- CL3D.Quaternion
- CL3D.Renderer
- CL3D.Scene
- CL3D.SceneNode
- CL3D.SkyBoxSceneNode
- CL3D.SoundSceneNode
- CL3D.TerrainSceneNode
- CL3D.Texture
- CL3D.TextureManager
- CL3D.Triangle3d
- CL3D.TriangleSelector
- CL3D.Vect2d
- CL3D.Vect3d
- CL3D.Vertex3D
- CL3D.WaterSurfaceSceneNode

CopperLicht API Documentation

# Class CL3D.AnimatedMeshSceneNode

A scene node displaying an animated Mesh, usually a skeletal animated character.
Extends CL3D.SceneNode.

Class Overview
CL3D.AnimatedMeshSceneNode()
A scene node displaying an animated Mesh, usually a skeletal animated character.

Fields borrowed from class CL3D.SceneNode:
  Id, Name, Pos, Rot, Scale, Selector, Visible

Method Summary
Method Attributes | Method Name and Description
--- | ---
| createClone(newparent, oldNodeId, newNodeId)
| getBoundingBox() Get the axis aligned, not transformed bounding box of this node.
| getFrameNr() Returns the currently displayed frame number.
| getNamedAnimationCount() Returns the amount of named animations in the animated mesh.
| getNamedAnimationInfo(idx) Returns information about a named animation in the animated mesh by index
| getType() Returns the type string of the scene node.
| setAnimation(name) Sets the animation to a new one by name.
| setAnimationBlending(enable, blendtime) Enables or disables animation blending.
| setAnimationSpeed(speed) Sets the speed of the animation
| setCurrentFrame(frame) Sets the current frame to display
| setFrameLoop(begin, end) Sets the begin and end frame for a looped animation
| setLoopMode(loop) Sets if the animation should be playbed back looped
| setMinimalUpdateDelay(frame) Sets the minimal update delay.

Methods borrowed from class CL3D.SceneNode:
  addAnimator, addChild, getAbsolutePosition, getAbsoluteTransformation, getAnimatorOfType, getAnimators, getChildren, getMaterial, getMaterialCount, getParent, getRelativeTransformation, getTransformedBoundingBox, init, isActuallyVisible, OnAnimate, OnRegisterSceneNode, removeAnimator, removeChild, render, updateAbsolutePosition

Method Detail
createClone(newparent, oldNodeId, newNodeId)

Parameters:
newparent
oldNodeId
newNodeId

{CL3D.Box3d} getBoundingBox()
Get the axis aligned, not transformed bounding box of this node. This means that if this node is an animated 3d character, moving in a room, the bounding box will always be around the origin. To get the box in real world coordinates, just transform it with the matrix you receive with getAbsoluteTransformation() or simply use getTransformedBoundingBox(), which does the same.

Returns:
  {CL3D.Box3d} Bounding box of this scene node.

getFrameNr()
Returns the currently displayed frame number.

{Integer} getNamedAnimationCount()
Returns the amount of named animations in the animated mesh.

Returns:
  {Integer} Amount of named animations.

{Object} getNamedAnimationInfo(idx)
Returns information about a named animation in the animated mesh by index

Parameters:
{Integer} idx
  index of the animation. Must be a value >=0 and

Returns:
  {Object} returns an object with info about the animation or null if there is no such animation. The object will have the members .Name for the animation name, .Begin for the begin frame, .End for the end frame and .FPS for the frames per second.

{String} getType()
Returns the type string of the scene node. Returns 'animatedmesh' for the mesh scene node.

Returns:
  {String} type name of the scene node.

{Boolean} setAnimation(name)
Sets the animation to a new one by name.

Parameters:
name

Returns:
  {Boolean} True if successful, false if not

setAnimationBlending(enable, blendtime)
Enables or disables animation blending. When playing new animations, they are automatically blended when this is enabled (it is by default).

Parameters:
{Boolean} enable
  true to enable, false for not enabling
{int} blendtime
  milliseconds needed for blending one animation into the next one. Default is 250.

setAnimationSpeed(speed)
Sets the speed of the animation

Parameters:
{Float} speed
  a floating point value specifying the frames per second to display

setCurrentFrame(frame)
Sets the current frame to display

Parameters:
{Float} frame
  current frame to display

setFrameLoop(begin, end)
Sets the begin and end frame for a looped animation

Parameters:
{Integer} begin
  start frame of the loop
{Integer} end
  end frame of the loop

setLoopMode(loop)
Sets if the animation should be playbed back looped

Parameters:
{Boolean} loop
  true to loop, false if not

setMinimalUpdateDelay(frame)
Sets the minimal update delay. The animated mesh is only updated every few milliseconds, in order to increase performance. The default value is 60 milli seconds (= 16 frames per second). Set it to 0 to enable instant updates.

Parameters:
{Float} frame
  current frame to display

© 2011-2018 N.Gebhardt, Ambiera
Documentation generated by JsDoc Toolkit